export enum Role {
  Admin,
  Staff,
  User,
}

export interface Profile {
  external_id: string;
  studentCardNumber: string;
  roomNumber?: string;
  picture: string;
  role: Role.Admin | Role.Staff | Role.User;
  email?: string;
  name?: string;
  warnings: [Warnings] | [];
}

export interface Warnings {
  text: string;
  date: Date;
  given_by: {
    _id: string;
    name: string;
  };
}
