import { INews } from './types';
import useRequest from './useRequest';
import useRestQueries from './useRestQueries';

const useAddNews = () => {
  const { post } = useRestQueries();
  const request = post<INews>('/api/v1/news');

  return useRequest<INews>({ request });
};

export default useAddNews;
